Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-10597

Remove deprecated held from apt provider

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PUP 7.0.0
    • Component/s: None
    • Template:
    • Team:
      Night's Watch
    • Story Points:
      1
    • Sprint:
      NW - 2020-08-18, NW - 2020-09-01
    • Release Notes:
      Enhancement
    • Release Notes Summary:
      Apt provider will no longer accept `ensure=held` this behaviour was replaced by the `mark` attribute.
    • QA Risk Assessment:
      Needs Assessment

      Description

      Apt provider should now use the mark property. `enusre => held` was deprecated in Puppet 6 and should be removed in Puppet 7

        Attachments

          Activity

            People

            Assignee:
            dorin.pleava Dorin Pleava
            Reporter:
            gheorghe.popescu Gheorghe Popescu
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support